Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Convert.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Convert.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Convert.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Command.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Command.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Command.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Downtime.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Downtime.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Downtime.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Heartbeat.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Heartbeat.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Heartbeat.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/HiveItem.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/HiveItem.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/HiveItem.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Job.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Job.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Job.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/JobPermission.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/JobPermission.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/JobPermission.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/LightweightTask.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/LightweightTask.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/LightweightTask.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/NamedHiveItem.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/NamedHiveItem.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/NamedHiveItem.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Permission.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Permission.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Permission.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Plugin.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Plugin.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Plugin.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/PluginData.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/PluginData.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/PluginData.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Resource.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Resource.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Resource.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Slave.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Slave.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Slave.cs	(revision 7270)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/SlaveGroup.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/SlaveGroup.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/SlaveGroup.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/SlaveState.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/SlaveState.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/SlaveState.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/SlaveStatistics.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/SlaveStatistics.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/SlaveStatistics.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/StateLog.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/StateLog.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/StateLog.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Statistics.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Statistics.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Statistics.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Task.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Task.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/Task.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/TaskData.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/TaskData.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/TaskData.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/TaskState.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/TaskState.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/TaskState.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/UserStatistics.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/UserStatistics.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/DataTransfer/UserStatistics.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/HiveDao.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/HiveDao.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/HiveDao.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/HiveJanitor.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/HiveJanitor.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/HiveJanitor.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/HiveRoles.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/HiveRoles.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/HiveRoles.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/HiveService.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/HiveService.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/HiveService.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthenticationManager.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthenticationManager.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthenticationManager.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthorizationManager.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthorizationManager.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthorizationManager.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IEventManager.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IEventManager.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IEventManager.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IHiveDao.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IHiveDao.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IHiveDao.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IServiceLocator.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IServiceLocator.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IServiceLocator.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IUserManager.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IUserManager.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Interfaces/IUserManager.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Manager/AuthenticationManager.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Manager/AuthenticationManager.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Manager/AuthenticationManager.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Manager/AuthorizationManager.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Manager/AuthorizationManager.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Manager/AuthorizationManager.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Manager/EventManager.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Manager/EventManager.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Manager/EventManager.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Manager/HeartbeatManager.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Manager/HeartbeatManager.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Manager/HeartbeatManager.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Manager/UserManager.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Manager/UserManager.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Manager/UserManager.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/MessageContainer.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/MessageContainer.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/MessageContainer.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Plugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Plugin.cs.frame	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Plugin.cs.frame	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Services.Hive.Server {
-  [Plugin("HeuristicLab.Services.Hive", "3.3.5.$WCREV$")]
+  [Plugin("HeuristicLab.Services.Hive", "3.3.6.$WCREV$")]
   [PluginFile("HeuristicLab.Services.Hive-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Common", "3.3")]  
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Properties/AssemblyInfo.cs.frame	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/Properties/AssemblyInfo.cs.frame	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2011 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -54,4 +54,4 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.3.5.0")]
-[assembly: AssemblyFileVersion("3.3.5.$WCREV$")]
+[assembly: AssemblyVersion("3.3.0.0")]
+[assembly: AssemblyFileVersion("3.3.6.$WCREV$")]
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/ServiceContracts/IHiveService.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/ServiceContracts/IHiveService.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/ServiceContracts/IHiveService.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/ServiceFaults/PluginAlreadyExistsFault.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/ServiceFaults/PluginAlreadyExistsFault.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/ServiceFaults/PluginAlreadyExistsFault.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/ServiceLocator.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/ServiceLocator.cs	(revision 7215)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Services.Hive/3.3/ServiceLocator.cs	(revision 7270)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.