Index: branches/HiveHiveEngine/HeuristicLab.Operators/3.3/AllSubScopesIntReducer.cs
===================================================================
--- branches/HiveHiveEngine/HeuristicLab.Operators/3.3/AllSubScopesIntReducer.cs	(revision 7288)
+++ branches/HiveHiveEngine/HeuristicLab.Operators/3.3/AllSubScopesIntReducer.cs	(revision 7288)
@@ -0,0 +1,88 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Operators {
+  /// <summary>
+  /// An operator which increments an integer variable.
+  /// </summary>
+  [Item("AllSubScopesIntReducer", "An operator to reduce int values of sub scopes")]
+  [StorableClass]
+  public sealed class AllSubScopesIntReducer : SingleSuccessorOperator {
+
+    public ValueLookupParameter<StringValue> ParameterToReduce {
+      get { return (ValueLookupParameter<StringValue>)Parameters["ParameterToReduce"]; }
+    }
+
+    public ValueLookupParameter<StringValue> TargetParameterName {
+      get { return (ValueLookupParameter<StringValue>)Parameters["TargetParameterName"]; }
+    }
+
+    private LookupParameter<IntValue> TargetParameter {
+      get { return (LookupParameter<IntValue>)Parameters["TargetParameter"]; }
+    }
+
+    [StorableConstructor]
+    private AllSubScopesIntReducer(bool deserializing) : base(deserializing) { }
+    private AllSubScopesIntReducer(AllSubScopesIntReducer original, Cloner cloner)
+      : base(original, cloner) {
+    }
+    public AllSubScopesIntReducer()
+      : base() {
+      Parameters.Add(new ValueLookupParameter<StringValue>("ParameterToReduce", "Parameter to look for in the sub scopes and collect the values from", new StringValue(string.Empty)));
+      Parameters.Add(new ValueLookupParameter<StringValue>("TargetParameterName", "Parameter name to add the value to", new StringValue(string.Empty)));
+      Parameters.Add(new LookupParameter<IntValue>("TargetParameter", "The actual parameter defined by TargetParameterName"));
+    }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new AllSubScopesIntReducer(this, cloner);
+    }
+
+    public override IOperation Apply() {
+      //at the moment we are always operating on level 0
+      ScopeList sl = ExecutionContext.Scope.SubScopes;
+      List<IntValue> intValues = new List<IntValue>();
+
+      foreach (var scope in sl) {
+        var variable = scope.Variables.Where(x => x.Name == ParameterToReduce.Value.ToString());
+        if (variable.Count() == 1) {
+          intValues.Add((IntValue)variable.First().Value);
+        }
+      }
+
+      if (intValues.Count > 0) {
+        int sum = intValues.Sum(x => x.Value);
+
+        TargetParameter.ActualName = TargetParameterName.ActualValue.Value;
+        if (TargetParameter.ActualValue == null) TargetParameter.ActualValue = new IntValue();
+        TargetParameter.ActualValue.Value += sum;
+      }
+      return base.Apply();
+    }
+  }
+}
Index: branches/HiveHiveEngine/HeuristicLab.Operators/3.3/HeuristicLab.Operators-3.3.csproj
===================================================================
--- branches/HiveHiveEngine/HeuristicLab.Operators/3.3/HeuristicLab.Operators-3.3.csproj	(revision 7284)
+++ branches/HiveHiveEngine/HeuristicLab.Operators/3.3/HeuristicLab.Operators-3.3.csproj	(revision 7288)
@@ -118,4 +118,6 @@
     <Compile Include="Assigner.cs" />
     <Compile Include="AlgorithmOperator.cs" />
+    <Compile Include="AllSubScopesIntReducer.cs" />
+    <Compile Include="SubScopesIntReducer.cs" />
     <Compile Include="MultiOperator.cs" />
     <Compile Include="Operator.cs" />
Index: branches/HiveHiveEngine/HeuristicLab.Operators/3.3/SubScopesIntReducer.cs
===================================================================
--- branches/HiveHiveEngine/HeuristicLab.Operators/3.3/SubScopesIntReducer.cs	(revision 7288)
+++ branches/HiveHiveEngine/HeuristicLab.Operators/3.3/SubScopesIntReducer.cs	(revision 7288)
@@ -0,0 +1,92 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Operators {
+  /// <summary>
+  /// An operator which increments an integer variable.
+  /// </summary>
+  [Item("SubScopesIntReducer", "An operator to reduce int values of sub scopes")]
+  [StorableClass]
+  public sealed class SubScopesIntReducer : SingleSuccessorOperator {
+
+    public ValueLookupParameter<StringValue> ParameterToReduce {
+      get { return (ValueLookupParameter<StringValue>)Parameters["ParameterToReduce"]; }
+    }
+
+    public ValueLookupParameter<StringValue> TargetParameterName {
+      get { return (ValueLookupParameter<StringValue>)Parameters["TargetParameterName"]; }
+    }
+
+    private LookupParameter<IntValue> TargetParameter {
+      get { return (LookupParameter<IntValue>)Parameters["TargetParameter"]; }
+    }
+
+    [StorableConstructor]
+    private SubScopesIntReducer(bool deserializing) : base(deserializing) { }
+    private SubScopesIntReducer(SubScopesIntReducer original, Cloner cloner)
+      : base(original, cloner) {
+    }
+    public SubScopesIntReducer()
+      : base() {
+      Parameters.Add(new ValueLookupParameter<StringValue>("ParameterToReduce", "Parameter to look for in the sub scopes and collect the values from", new StringValue(string.Empty)));
+      Parameters.Add(new ValueLookupParameter<StringValue>("TargetParameterName", "Parameter name to add the value to", new StringValue(string.Empty)));
+      Parameters.Add(new LookupParameter<IntValue>("TargetParameter", "The actual parameter defined by TargetParameterName"));
+    }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new SubScopesIntReducer(this, cloner);
+    }
+
+    public override IOperation Apply() {
+      //at the moment we are always operating on level 0
+      ScopeList sl = ExecutionContext.Scope.SubScopes;
+      List<IntValue> intValues = new List<IntValue>();
+
+      foreach (var scope in sl) {
+        var variable = scope.Variables.Where(x => x.Name == ParameterToReduce.Value.ToString());
+        if (variable.Count() == 1) {
+          intValues.Add((IntValue)variable.First().Value);
+        }
+      }
+
+      if (intValues.Count > 0) {
+        int oneValue = intValues.First().Value;
+        if (!intValues.All(x => x.Value == oneValue)) {
+          throw new ArgumentException("All values must equal in order to be reducible.");
+        }
+
+        TargetParameter.ActualName = TargetParameterName.ActualValue.Value;
+        if (TargetParameter.ActualValue == null) TargetParameter.ActualValue = new IntValue();
+        TargetParameter.ActualValue.Value += oneValue;
+      }
+      return base.Apply();
+    }
+  }
+}